Name:           GLC_lib
Version:        2.2.0
Release:        5%{?dist}
Summary:        C++ class library for OpenGL application based on Qt 4

Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://www.glc-lib.net/
Source0:        http://downloads.sourceforge.net/glc-lib/GLC_lib_src_%{version}.zip
Patch0:         GLC_lib_src_2.2.0-nointernal.patch
Patch1:         GLC_lib_src_2.2.0-gcc46.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  lib3ds-devel
BuildRequires:  quazip-devel


%description
GLC_lib is a C++ class library that enables the quick creation of OpenGL
application based on Qt 4. Some GLC_lib features : Camera orbiting, Obj
textured file support, 3D Primitive... And more.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt4-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -c
cd glc_lib
%patch0 -p2 -b .nointernal
%patch1 -p2 -b .gcc46

#Fix library Path on lib64
sed -i -e 's|LIB_DIR = /usr/local/lib|LIB_DIR = %{_libdir}|' GLC_lib.pro
sed -i -e 's|/usr/local/include|%{_includedir}|' GLC_lib.pro

# Fix internal use of several libraries
sed -i -e 's|lib3ds minizip|lib3ds|' GLC_lib.pro
rm -rf 3rdparty



%build
cd glc_lib
qmake-qt4 GLC_lib.pro
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd glc_lib
make install INSTALL_ROOT=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc glc_lib/COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/GLC_lib/
%{_libdir}/*.so


%changelog
* Sat Jan 21 2012 Nicolas Chauvet <kwizart@gmail.com> - 2.2.0-5
- Remove spurious direct use of minizip

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug 21 2011 Nicolas Chauvet <kwizart@gmail.com> - 2.2.0-3
- Fix with gcc46

* Mon Jul 25 2011 Nicolas Chauvet <kwizart@gmail.com> - 2.2.0-1
- Update to 2.2.0

* Tue Mar 15 2011 Nicolas Chauvet <kwizart@gmail.com> - 2.1.0-1
- Update to 2.1.0

* Thu Dec 09 2010 Nicolas Chauvet <kwizart@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 kwizart < kwizart at gmail.com > - 1.1.0-1
- Update to 1.1.0

* Thu Aug 14 2008 kwizart < kwizart at gmail.com > - 1.0.0-1
- Update to 1.0.0

* Wed May 28 2008 kwizart < kwizart at gmail.com > - 0.9.9-1
- Update to 0.9.9

* Sat May 17 2008 kwizart < kwizart at gmail.com > - 0.9.8-2
- Fix COPYING end-of-line encoding

* Mon Feb 11 2008 kwizart < kwizart at gmail.com > - 0.9.8-1
- Initial spec file

